## class OSGUTIL_EXPORT osgUtil::Optimizer

> Insert impostor nodes into scene graph.

### Public Methods

Optimizer()
virtual void optimize(osg::Node* node, unsigned int options = ALL_OPTIMIZATIONS)
  traverse the node and its subgraph with a series of optimization visitors, specificied by the OptizationOptions

### Public Members

enum OptimizationOptions
class OSGUTIL_EXPORT FlattenStaticTransformsVisitor: public osg::NodeVisitor
  Flatten Static Trasform nodes by applying their transform to the geometry on the leaves of the scene graph, then removing the now redundant transforms
class OSGUTIL_EXPORT RemoveEmptyNodesVisitor: public osg::NodeVisitor
  Remove rendundant nodes, such as groups with one single child
class OSGUTIL_EXPORT RemoveRedundantNodesVisitor: public osg::NodeVisitor
  Remove rendundant nodes, such as groups with one single child
class OSGUTIL_EXPORT CombineLODsVisitor: public osg::NodeVisitor
  Optimize the LOD groups, by combining adjacent LOD's which have complementary ranges
class OSGUTIL_EXPORT StateVisitor: public osg::NodeVisitor
  Optimize State in the scene graph by removing duplicate state, replacing it with shared instances, both for StateAttributes, and whole StateSets
class OSGUTIL_EXPORT CheckGeometryVisitor: public osg::NodeVisitor
class OSGUTIL_EXPORT MergeGeometryVisitor: public osg::NodeVisitor

## Documentation

> Insert impostor nodes into scene graph. For example of usage see src/Demos/osgimpostor.

`Optimizer()`

`enum OptimizationOptions`

`FLATTEN_STATIC_TRANSFORMS`

`REMOVE_REDUNDANT_NODES`

`COMBINE_ADJACENT_LODS`

`SHARE_DUPLICATE_STATE`

`MERGE_GEOMETRY`

`CHECK_GEOMETRY`

`ALL_OPTIMIZATIONS`

`virtual void optimize(osg::Node* node, unsigned int options = ALL_OPTIMIZATIONS)`
  traverse the node and its subgraph with a series of optimization visitors, specificied by the OptizationOptions

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.